public static interface JmsEndpointBuilderFactory.JmsBuilders
| Modifier and Type | Method and Description |
|---|---|
default JmsEndpointBuilderFactory.JmsEndpointBuilder |
jms(String path)
JMS (camel-jms)
Sent and receive messages to/from a JMS Queue or Topic.
|
default JmsEndpointBuilderFactory.JmsEndpointBuilder |
jms(String componentName,
String path)
JMS (camel-jms)
Sent and receive messages to/from a JMS Queue or Topic.
|
default JmsEndpointBuilderFactory.JmsEndpointBuilder jms(String path)
jms:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 4 enums and the value can be one of: queue, topic,
temp-queue, temp-topic
Path parameter: destinationName (required)
Name of the queue or topic to use as destinationpath - destinationType:destinationNamedefault JmsEndpointBuilderFactory.JmsEndpointBuilder jms(String componentName, String path)
jms:destinationType:destinationName
Path parameter: destinationType
The kind of destination to use
Default value: queue
There are 4 enums and the value can be one of: queue, topic,
temp-queue, temp-topic
Path parameter: destinationName (required)
Name of the queue or topic to use as destinationcomponentName - to use a custom component name for the endpoint
instead of the default namepath - destinationType:destinationNameApache Camel